import Artikel from 'src/components/Artikel/Artikel'

export const QUERY = gql`
  query FindArtikelById($id: Int!) {
    artikel: artikel(id: $id) {
      id
      name
      preis
      kategorie{name}
    }
  }
`

export const Loading = () => <div>Loading...</div>

export const Empty = () => <div>Artikel not found</div>

export const Failure = ({ error }) => (
  <div className="rw-cell-error">{error?.message}</div>
)

export const Success = ({ artikel }) => {
  return <Artikel artikel={artikel} />
}
